erasmoa
Contributor
Contributor

Failed to compile module vmmon!

Running the VMWare Player 4.0.1 on Fedora 16 x86_64. I just downloaded a bunch of updates, including kernel 3.2. When the vmplayer tries to rebuild the modules, I get the following errors:

Header 1
2012-01-24T15:57:19.893-08:00| vthread-3| I120: Log for VMware Workstation pid=2447 version=8.0.1 build=build-528992 option=Release
2012-01-24T15:57:19.893-08:00| vthread-3| I120: The process is 64-bit.
2012-01-24T15:57:19.893-08:00| vthread-3| I120: Host codepage=UTF-8 encoding=UTF-8
2012-01-24T15:57:19.893-08:00| vthread-3| I120: Host is Linux 3.2.1-3.fc16.x86_64 Fedora release 16 (Verne)
2012-01-24T15:57:19.891-08:00| vthread-3| I120: Msg_Reset:
2012-01-24T15:57:19.891-08:00| vthread-3| I120: [msg.dictionary.load.openFailed] Cannot open file "/usr/lib/vmware/settings": No such file or directory.
2012-01-24T15:57:19.891-08:00| vthread-3| I120: ----------------------------------------
2012-01-24T15:57:19.891-08:00| vthread-3| I120: PREF Optional preferences file not found at /usr/lib/vmware/settings. Using default values.
2012-01-24T15:57:19.892-08:00| vthread-3| I120: Msg_Reset:
2012-01-24T15:57:19.892-08:00| vthread-3| I120: [msg.dictionary.load.openFailed] Cannot open file "/root/.vmware/config": No such file or directory.
2012-01-24T15:57:19.892-08:00| vthread-3| I120: ----------------------------------------
2012-01-24T15:57:19.892-08:00| vthread-3| I120: PREF Optional preferences file not found at /root/.vmware/config. Using default values.
2012-01-24T15:57:19.893-08:00| vthread-3| W110: Logging to /tmp/vmware-root/modconfig-2447.log
2012-01-24T15:57:19.945-08:00| vthread-3| I120: modconf query interface initialized
2012-01-24T15:57:19.948-08:00| vthread-3| I120: modconf library initialized
2012-01-24T15:57:19.988-08:00| vthread-3| I120: Your GCC version: 4.6
2012-01-24T15:57:19.990-08:00| vthread-3| I120: Validating path /lib/modules/preferred/build/include for kernel release 3.2.1-3.fc16.x86_64
2012-01-24T15:57:19.990-08:00| vthread-3| I120: Failed to find /lib/modules/preferred/build/include/linux/version.h
2012-01-24T15:57:19.990-08:00| vthread-3| I120: Failed version test: /lib/modules/preferred/build/include/linux/version.h not found.
2012-01-24T15:57:19.990-08:00| vthread-3| I120: Validating path /lib/modules/3.2.1-3.fc16.x86_64/build/include for kernel release 3.2.1-3.fc16.x86_64
2012-01-24T15:57:19.994-08:00| vthread-3| I120: Your GCC version: 4.6
2012-01-24T15:57:20.026-08:00| vthread-3| I120: Your GCC version: 4.6
2012-01-24T15:57:20.043-08:00| vthread-3| I120: Header path /lib/modules/3.2.1-3.fc16.x86_64/build/include for kernel release 3.2.1-3.fc16.x86_64 is valid.
2012-01-24T15:57:20.043-08:00| vthread-3| I120: Validating path /lib/modules/3.2.1-3.fc16.x86_64/build/include for kernel release 3.2.1-3.fc16.x86_64
2012-01-24T15:57:20.045-08:00| vthread-3| I120: Your GCC version: 4.6
2012-01-24T15:57:20.051-08:00| vthread-3| I120: Your GCC version: 4.6
2012-01-24T15:57:20.067-08:00| vthread-3| I120: Header path /lib/modules/3.2.1-3.fc16.x86_64/build/include for kernel release 3.2.1-3.fc16.x86_64 is valid.
2012-01-24T15:57:20.110-08:00| vthread-3| I120: Trying to find a suitable PBM set for kernel 3.2.1-3.fc16.x86_64.
2012-01-24T15:57:20.111-08:00| vthread-3| I120: Trying to find a suitable PBM set for kernel 3.2.1-3.fc16.x86_64.
2012-01-24T15:57:20.112-08:00| vthread-3| I120: Trying to find a suitable PBM set for kernel 3.2.1-3.fc16.x86_64.
2012-01-24T15:57:20.113-08:00| vthread-3| I120: Trying to find a suitable PBM set for kernel 3.2.1-3.fc16.x86_64.
2012-01-24T15:57:20.114-08:00| vthread-3| I120: Trying to find a suitable PBM set for kernel 3.2.1-3.fc16.x86_64.
2012-01-24T15:57:20.129-08:00| vthread-3| I120: Trying to find a suitable PBM set for kernel 3.2.1-3.fc16.x86_64.
2012-01-24T15:57:20.130-08:00| vthread-3| I120: Trying to find a suitable PBM set for kernel 3.2.1-3.fc16.x86_64.
2012-01-24T15:57:20.132-08:00| vthread-3| I120: Trying to find a suitable PBM set for kernel 3.2.1-3.fc16.x86_64.
2012-01-24T15:57:20.133-08:00| vthread-3| I120: Trying to find a suitable PBM set for kernel 3.2.1-3.fc16.x86_64.
2012-01-24T15:57:20.134-08:00| vthread-3| I120: Trying to find a suitable PBM set for kernel 3.2.1-3.fc16.x86_64.
2012-01-24T15:57:20.137-08:00| vthread-3| I120: Validating path /lib/modules/preferred/build/include for kernel release 3.2.1-3.fc16.x86_64
2012-01-24T15:57:20.137-08:00| vthread-3| I120: Failed to find /lib/modules/preferred/build/include/linux/version.h
2012-01-24T15:57:20.137-08:00| vthread-3| I120: Failed version test: /lib/modules/preferred/build/include/linux/version.h not found.
2012-01-24T15:57:20.137-08:00| vthread-3| I120: Validating path /lib/modules/3.2.1-3.fc16.x86_64/build/include for kernel release 3.2.1-3.fc16.x86_64
2012-01-24T15:57:20.139-08:00| vthread-3| I120: Your GCC version: 4.6
2012-01-24T15:57:20.145-08:00| vthread-3| I120: Your GCC version: 4.6
2012-01-24T15:57:20.161-08:00| vthread-3| I120: Header path /lib/modules/3.2.1-3.fc16.x86_64/build/include for kernel release 3.2.1-3.fc16.x86_64 is valid.
2012-01-24T15:57:20.176-08:00| vthread-3| I120: Trying to find a suitable PBM set for kernel 3.2.1-3.fc16.x86_64.
2012-01-24T15:57:20.177-08:00| vthread-3| I120: Trying to find a suitable PBM set for kernel 3.2.1-3.fc16.x86_64.
2012-01-24T15:57:20.178-08:00| vthread-3| I120: Trying to find a suitable PBM set for kernel 3.2.1-3.fc16.x86_64.
2012-01-24T15:57:20.180-08:00| vthread-3| I120: Trying to find a suitable PBM set for kernel 3.2.1-3.fc16.x86_64.
2012-01-24T15:57:20.181-08:00| vthread-3| I120: Trying to find a suitable PBM set for kernel 3.2.1-3.fc16.x86_64.
2012-01-24T15:57:20.183-08:00| vthread-3| I120: Validating path /lib/modules/preferred/build/include for kernel release 3.2.1-3.fc16.x86_64
2012-01-24T15:57:20.183-08:00| vthread-3| I120: Failed to find /lib/modules/preferred/build/include/linux/version.h
2012-01-24T15:57:20.183-08:00| vthread-3| I120: Failed version test: /lib/modules/preferred/build/include/linux/version.h not found.
2012-01-24T15:57:20.183-08:00| vthread-3| I120: Validating path /lib/modules/3.2.1-3.fc16.x86_64/build/include for kernel release 3.2.1-3.fc16.x86_64
2012-01-24T15:57:20.184-08:00| vthread-3| I120: Your GCC version: 4.6
2012-01-24T15:57:20.190-08:00| vthread-3| I120: Your GCC version: 4.6
2012-01-24T15:57:20.206-08:00| vthread-3| I120: Header path /lib/modules/3.2.1-3.fc16.x86_64/build/include for kernel release 3.2.1-3.fc16.x86_64 is valid.
2012-01-24T15:57:20.235-08:00| vthread-3| I120: Trying to find a suitable PBM set for kernel 3.2.1-3.fc16.x86_64.
2012-01-24T15:57:20.236-08:00| vthread-3| I120: Trying to find a suitable PBM set for kernel 3.2.1-3.fc16.x86_64.
2012-01-24T15:57:20.238-08:00| vthread-3| I120: Trying to find a suitable PBM set for kernel 3.2.1-3.fc16.x86_64.
2012-01-24T15:57:20.239-08:00| vthread-3| I120: Trying to find a suitable PBM set for kernel 3.2.1-3.fc16.x86_64.
2012-01-24T15:57:20.241-08:00| vthread-3| I120: Trying to find a suitable PBM set for kernel 3.2.1-3.fc16.x86_64.
2012-01-24T15:57:20.271-08:00| vthread-3| I120: Trying to find a suitable PBM set for kernel 3.2.1-3.fc16.x86_64.
2012-01-24T15:57:20.271-08:00| vthread-3| I120: Validating path /lib/modules/3.2.1-3.fc16.x86_64/build/include for kernel release 3.2.1-3.fc16.x86_64
2012-01-24T15:57:20.274-08:00| vthread-3| I120: Your GCC version: 4.6
2012-01-24T15:57:20.282-08:00| vthread-3| I120: Your GCC version: 4.6
2012-01-24T15:57:20.299-08:00| vthread-3| I120: Header path /lib/modules/3.2.1-3.fc16.x86_64/build/include for kernel release 3.2.1-3.fc16.x86_64 is valid.
2012-01-24T15:57:20.299-08:00| vthread-3| I120: Building module vmmon.
2012-01-24T15:57:20.299-08:00| vthread-3| I120: Extracting the sources of the vmmon module.
2012-01-24T15:57:20.312-08:00| vthread-3| I120: Building module with command: /usr/bin/make -j -C /tmp/vmware-root/modules/vmmon-only auto-build SUPPORT_SMP=1 HEADER_DIR=/lib/modules/3.2.1-3.fc16.x86_64/build/include CC=/usr/bin/gcc GREP=/usr/bin/make IS_GCC_3=no VMCCVER=4.6.2
2012-01-24T15:57:21.323-08:00| vthread-3| I120: Failed to compile module vmmon!

Any ideas?

0 Kudos
39 Replies
matthausmann
Contributor
Contributor

I've just updated to kernel 3.2.1-3.fc16.x86_64 and I'm seeing the same behaviour.

0 Kudos
matthausmann
Contributor
Contributor

I've tried updating to the latest VMware Workstation version 8.0.2 build-591240 and the vmmon module compiles, but the vmnet module fails. Log attached.

0 Kudos
envertain
Contributor
Contributor

Same issue here after uprading to the latest Fedora 16 kernel release;

Kernel: 3.2.1-3.fc16.x86_64 #1 SMP Mon Jan 23 15:36:17 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

sudo tail -8  /tmp/vmware-root/modconfig-3345.log
2012-01-25T16:40:15.782+02:00| vthread-3| I120: Validating path /lib/modules/3.2.1-3.fc16.x86_64/build/include for kernel release 3.2.1-3.fc16.x86_64
2012-01-25T16:40:15.785+02:00| vthread-3| I120: Your GCC version: 4.6
2012-01-25T16:40:15.802+02:00| vthread-3| I120: Your GCC version: 4.6
2012-01-25T16:40:15.837+02:00| vthread-3| I120: Header path /lib/modules/3.2.1-3.fc16.x86_64/build/include for kernel release 3.2.1-3.fc16.x86_64 is valid.
2012-01-25T16:40:15.837+02:00| vthread-3| I120: Building module vmmon.
2012-01-25T16:40:15.837+02:00| vthread-3| I120: Extracting the sources of the vmmon module.
2012-01-25T16:40:15.852+02:00| vthread-3| I120: Building module with command: /usr/bin/make -j -C /tmp/vmware-root/modules/vmmon-only auto-build SUPPORT_SMP=1 HEADER_DIR=/lib/modules/3.2.1-3.fc16.x86_64/build/include CC=/usr/bin/gcc GREP=/usr/bin/make IS_GCC_3=no VMCCVER=4.6.2
2012-01-25T16:40:17.568+02:00| vthread-3| I120: Failed to compile module vmmon!

0 Kudos
pikepenguin
Contributor
Contributor

I got the same thing this morning after updating the kernel last night (Fedora 16, 3.2.1-3.fc16.i686.PAE).  I'm running the latest version of VMware Workstation.

When launching vmware the VMware Kernel Module Updater pops-up a window with:

Unable to build kernel module.

See log file /tmp/vmware-root/modconfig-3064.log for details.

That file, and the errors I got on the command line, are attached.

0 Kudos
pikepenguin
Contributor
Contributor

Actually...I may not be runnin the latest/greatest version of VMware Workstation.

My version is 8.0.1, build-528992, 32-bit.

0 Kudos
RDPetruska
Leadership
Leadership

Workstation 8.0.2 / Player 4.0.2 were released yesterday.

0 Kudos
erasmoa
Contributor
Contributor

I just tried downloaded VMWare Player 4.0.2. It now fails with Failed to compile module vmnet!

Attaching the log file...

0 Kudos
brothergrim
Contributor
Contributor

Same thing here.

Updated to linux kernel 3.2.1 this morning. Updated player to 4.0.2. Getting same error Failed to compile module vmnet. Smiley Sad

0 Kudos
FabiorCork
Contributor
Contributor

I had the same issue as well and after some googling around, found this solution that fixed my problem:

http://weltall.heliohost.org/wordpress/2011/11/09/vmware-workstation-8-x-player-4-x-virtualbox-fix-f...

It didn't work the first time I've tried, but seems that the blog's owner updated for Fedora 16 + Kernel 3.2.1 recently so I'm sorted 😉

0 Kudos
erasmoa
Contributor
Contributor

It doesn't work for me. Not sure if that patch is intended for x86_64. I tried on 4.0.1 a cpl days ago and it didn't work. It would be really useful if somebody from VMWare could tell us when can they get around this problem.

0 Kudos
FabiorCork
Contributor
Contributor

Mine is a x86_64 as well, and the intention was to fix VMware Workstation/Player 8.0.2:

$ cat /etc/fedora-release
Fedora release 16 (Verne)
$ uname -r
3.2.1-3.fc16.x86_64

First time I've tried the owner of the blog had an older version of the patch, but it was updated so you could try it again.

0 Kudos
erasmoa
Contributor
Contributor

Hey guys, that website seems down since yesterday. If you still have the instructions, could you paste them here?

0 Kudos
FabiorCork
Contributor
Contributor

...well, basically what you need is just the file attached.


After you download it, just run the "patch-modules_3.2.0.sh" script:

     # ./patch-modules_3.2.0.sh

or

     # sh patch-modules_3.2.0.sh

P.S.: added the basic basic instructions just in case somebody else with less knowledge search for the same. 😉

0 Kudos
erasmoa
Contributor
Contributor

It worked for me as well. Thank You!

0 Kudos
FabiorCork
Contributor
Contributor

Good to hear you got sorted!

Fedora had another kernel update (again!!!) this weekend , so I'm now on 3.2.2 and VMware Workstation/Player is still working.

     $ uname -r

     3.2.2-1.fc16.x86_64
0 Kudos
erasmoa
Contributor
Contributor

Yes, I did. On 3.2.2-1.fc16.x86_64 as well. Thanks again. I'm sure this thread will help others until VMWare fixes this Smiley Happy

0 Kudos
Spacecrash
Contributor
Contributor

Helios welltall patch worked for VMware player 4.0.2+ on Ubuntu 12.04b1_32

0 Kudos
tvlooy
Contributor
Contributor

I have vmware-vix installed. The patch script didn't detect my vmware version, I had to modify it like this:

vmver=`vmware-installer -l 2>/dev/null | tail -1 | awk '/vmware-/{print $1substr($2,1,5)}'`

But after that, it worked great. So, thank you very much!

0 Kudos
etelio
Contributor
Contributor

The patch work on Kubuntu 12.04 64bit , thanks

0 Kudos